package com.company.tests;

import javax.swing.*;
import java.awt.*;

/**
 * Created by Dmitry S on 25.04.2016.
 */
public class LevyView extends JPanel {

    public void paintComponent(Graphics g){
        super.paintComponents(g);
        g.setColor(Color.BLUE);
        drawLevy(150, 350, 450, 350, 25, g);//25-количество итераций
    }
    private void drawLevy(int x1, int y1, int x2, int y2, int n, Graphics g ) {//Основная рекурсивная функция
        if (n == 0) g.drawLine(x1, y1, x2, y2);
        else {
            int xx = (x1 + x2) / 2 + (y2 - y1) / 2;//Находим точки для дальнейшего разбиения и поворота
            int yy = (y1 + y2) / 2 - (x2 - x1) / 2;
            drawLevy(x1, y1, xx, yy, n - 1, g);
            drawLevy(xx, yy, x2, y2, n - 1, g);
        }
    }
}

